{% extends 'base.html.twig' %}

{% block title %}RowAccount index{% endblock %}

{% block body %}
    <h1>RowAccount index</h1>

    <table class="table table-hover">
        <thead>
        <tr>
            <th>Id</th>
            <th>Create_at</th>
            <th>Brand</th>
            <th>Amount</th>
            <th>actions</th>
        </tr>
        </thead>
        <tbody>
        {% for row_account  in row_accounts %}

            {% if row_account.id is defined %}
                <tr>
                    <td>{{ row_account.id }}</td>
                    <td>{{ row_account.createAt ? row_account.createAt|date('d-m-Y') : '' }}</td>
                    <td>{{ row_account.brand }}</td>
                    <td>{{ row_account.amount }}</td>
                    <td>
                        <a href="{{ path('app_row_account_show', {'id': row_account.id}) }}">show</a>
                        <a href="{{ path('app_row_account_edit', {'id': row_account.id}) }}">edit</a>
                    </td>
                </tr>
            {% else %}
                <tr>
                    <td></td>
                    <td></td>
                    <td></td>
                    <td>Total : {{ row_account }}</td>
                    <td></td>
                </tr>

            {% endif %}

        {% else %}
            <tr>
                <td colspan="5">no records found</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>

    <a href="{{ path('app_row_account_new') }}">Create new</a>
{% endblock %}
